## expect 5.25.0

=== example/Makefile ===
TCLVERSION = 7.5
TCLROOT = ../../tcl$(TCLVERSION)

# Tcl include files.  (If you haven't installed Tcl yet, read the README file).
# This must point to the directory that contains ALL of Tcl's include
# files, not just the public ones.
TCLHDIR = $(TCLROOT)/generic

# TCL library.  Very little actually comes out of it, but it is handy.
TCLLIB = $(TCLROOT)/unix/libtcl$(TCLVERSION).a
# if installed, you can use:
# TCLLIB = -ltcl

CC = gcc
CPLUSPLUS = g++
CPLUSPLUSLIBDIR = -L/depot/gnu/arch/lib
CPLUSPLUSLIB = -lg++

CFLAGS = -g -I.. -I$(TCLHDIR)
LIBEXPECT = -L.. -lexpect5.20

LIBS = $(LIBEXPECT) $(TCLLIB) -lm

SCRIPTS = su2 noidle script.exp bonfield.exp

all: chesslib chesslib2 chesslib++

# this can be compiled with either cc or gcc
chesslib: chesslib.o
	$(CC) -g -o chesslib chesslib.o $(LIBS)

# this can be compiled with either cc or gcc
chesslib2: chesslib2.o
	$(CC) -g -o chesslib2 chesslib2.o $(LIBS)

# this is compiled with c++
chesslib++: chesslib++.o
	$(CPLUSPLUS) -g -o chesslib++ chesslib++.o $(LIBS) \
		$(CPLUSPLUSLIBDIR) $(CPLUSPLUSLIB)

chesslib++.o: chesslib++.c
	$(CPLUSPLUS) -c $(CFLAGS) chesslib++.c

printvars: printvars.o
	$(CC) -o printvars printvars.o $(LIBS)

ftplib: ftplib.o
	$(CC) -g -o ftplib ftplib.o $(LIBS)

match_max: match_max.o
	$(CC) -g -o match_max match_max.o $(LIBS)

jaj1: jaj1.o
	$(CC) -g -o jaj1 jaj1.o $(LIBS)

jaj2: jaj2.o
	$(CC) -g -o jaj2 jaj2.o $(LIBS)

# wrap up password-generation examples
passgen:
	shar passgen.README tkpasswd mkpasswd mkpasswd.man > /tmp/passgen

cleanup:
	rm -f expect devtty exho dumb test.raw test.results test.tmp

# copy some contributed scripts over to public-accessible directory
SCRIPTDIR = ~ftp/pub/expect/scripts
ftp:
	rcp README.scripts durer:$(SCRIPTDIR)/README
	rcp $(SCRIPTS) durer:$(SCRIPTDIR)
	rsh durer ls -l $(SCRIPTDIR)

## expect 5.45

=== debian/changelog ===
expect (5.45-7) unstable; urgency=medium

  * Applied a few fixes by upstream which were included in Expect 5.45.3
    never released as a tarball (closes: #799301).
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Oct 2015 11:27:59 +0300

expect (5.45-6) unstable; urgency=low

  * Split the expect package into expect and tcl-expect where the libexpect
    library and the Tcl package are moved. Made the tcl-expect package
    multiarch same.
  * Renamed the expect-dev package into tcl-expect-dev and moved the included
    scripts into the main expect package.
  * Build expect with Tcl 8.6.
  * Use CFLAGS from the dpkg build flags. Fixed potential security bug in
    printf format handling.
  * Bumped the debhelper compatibility version to 9.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 Jul 2014 08:30:57 +0400

expect (5.45-5) unstable; urgency=low

  * Added patch which replaces memcpy my memmove for copying possibly
    overlapping memory area, thanks to Per Cederqvist (closes: #728663).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Nov 2013 08:28:43 +0400

expect (5.45-4) unstable; urgency=low

  * Execute tclsh8.5 instead of tclsh in expect scripts because tcl8.5
    will stop providing /usr/bin/tclsh.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Oct 2013 09:00:38 +0400

expect (5.45-3) unstable; urgency=low

  * Added conflicts header to the debian/control file which ensures that the
    no longer existing expectk package gets removed (closes: #686364).
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility level to 8.
  * Bumped standards version to 3.9.4.
  * Added hardening linker flags.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 06 May 2013 13:34:56 +0400

expect (5.45-2) unstable; urgency=low

  * Replaced ckalloc() call in exp_clib.c by malloc() because using the
    ordinary free() leads to memory corruption after ckalloc() (which is
    a macro for Tcl_Alloc()). See patches/22-segfault-with-stubs.patch
    for segfaulting examples.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Nov 2011 12:14:05 +0400

expect (5.45-1) unstable; urgency=low

  * New upstream release.
  * Removed unnecessary patches.
  * Removed the expectk package because expectk was dropped from the upstream
    distribution. See NEWS.Debian for possible workarounds.
  * Updated package to standards version 3.9.2 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Aug 2011 21:50:29 +0400

expect (5.44.1.15-4) unstable; urgency=low

  * Added patch by upstream which fixes crash during exact string matching
    in expect command if the search pattern contains non-ASCII characters.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Oct 2010 10:29:04 +0400

expect (5.44.1.15-3) unstable; urgency=low

  * Added patch by upstream (proposed by Per Cederqvist) which fixes
    slow processing of certain regexp patterns by preventing their
    convertation to glob patterns (closes: #591695).
  * Don't load Expect package to tclsh 8.4 because it causes a
    segmentation fault.
  * Updated package to standards version 3.9.1 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 05 Sep 2010 09:48:27 +0400

expect (5.44.1.15-2) unstable; urgency=low

  * Removed a bit of implicit-declarations patch which included tcl.h into
    exp_clib.c and redefined memory allocation routines because of Tcl
    stubs (closes: #588817).
  * Updated package to standards version 3.9.0 (no changes needed).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Jul 2010 18:31:29 +0400

expect (5.44.1.15-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 15 Mar 2010 20:56:14 +0300

expect (5.44.1.14-5) unstable; urgency=low

  * Fixed sourcing rc flies by expectk (closes: #555746).
  * Removed another unnecessary patch.
  * Adapted expect test suite to the changes in pkgIndex.tcl which can't load
    Expect package if it isn't installed into /usr/lib.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Nov 2009 22:42:44 +0300

expect (5.44.1.14-4) unstable; urgency=low

  * Added replaces field to expect-dev binary package because libexpect(3)
    manpage was moved from expect to expect-dev package (closes: #554947).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 07 Nov 2009 15:53:09 +0300

expect (5.44.1.14-3) unstable; urgency=low

  * Removed build dependencies which are also dependencies of tk8.5-dev
    (since 8.5.7-2).
  * Use locally defined function Tcl_ErrnoMsg in exp_clib.c because this
    part of the library is supposed to be used without loading into a Tcl
    interpreter, which isn't possible if expect is build with Tcl stubs
    (closes: #552685).
  * Removed unneeded patches from debian/patches, cleaned up other ones.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Nov 2009 21:21:56 +0300

expect (5.44.1.14-2) unstable; urgency=low

  * Added buid conflict with autoconf2.13 because autoconf 2.50 or newer is
    required to process configure.in template.
  * Fixed building with the current config.sub and config.guess from
    autotools-dev package (closes: #551332).
  * Fixed cleaning after build is done.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Oct 2009 12:24:40 +0400

expect (5.44.1.14-1) unstable; urgency=low

  * New maintainer Sergei Golovan <sgolovan@debian.org> (closes: #543839).
  * New upstream CVS snapshot.
  * Switched to upstream which maintains CVN at SourceForge.net because
    Don Libet doesn't have time to develop Expect anymore. Therefore, changed
    upstream homepage.
  * Switched to Tcl/Tk 8.5 (closes: #512150).
  * Don't call configure and build targets twice anymore (closes: #441114).
  * Upstream includes patch which fixes empty writes (closes: #421187).
  * The new upstream fixed a regression which didn't allow to read from stdin
    (closes: #347259).


=== debian/control ===
Source: expect
Section: interpreters
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), autotools-dev,
 autoconf, tcl8.6-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.6
Homepage: http://sourceforge.net/projects/expect/

Package: expect
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: expect-dev
Provides: expect-dev
Replaces: expect-dev
Recommends: tcl8.6, tk8.6
Multi-Arch: foreign
Description: Automates interactive applications
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the expect binary and several Expect based scripts.

Package: tcl-expect
Architecture: any
Depends: libtcl8.6, ${misc:Depends}, ${shlibs:Depends}
Conflicts: expectk (<< 5.45)
Suggests: expect
Multi-Arch: same
Description: Automates interactive applications (Tcl package)
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the library and Tcl package Expect.

Package: tcl-expect-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, tcl-expect (= ${binary:Version}), tcl8.6-dev
Replaces: expect (<< 5.44.1.14), expect-dev (<< 5.45-6~~)
Multi-Arch: same
Description: Automates interactive applications (development)
 Expect is a tool for automating interactive applications according to a script.
 Following the script, Expect knows what can be expected from a program and what
 the correct response should be. Expect is also useful for testing these same
 applications. And by adding Tk, you can also wrap interactive applications in
 X11 GUIs. An interpreted language provides branching and high-level control
 structures to direct the dialogue. In addition, the user can take control and
 interact directly when desired, afterward returning control to the script.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

v = 5.45
tclv = 8.6

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh ${@}

CFLAGS += -Wall -g -D_BSD_SOURCE -ansi -D_SVID_SOURCE -D_POSIX_SOURCE

LINKS = debian/expect.links debian/tcl-expect.links debian/tcl-expect-dev.links

debian/%.links: debian/%.links.in
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.links
	rm -f *.a *.o
	rm -rf shared
	rm -f expect_cf.h tcldbgcf.h
	[ ! -f tclconfig/config.guess~ ] || mv -f tclconfig/config.guess~ tclconfig/config.guess
	[ ! -f tclconfig/config.sub~ ] || mv -f tclconfig/config.sub~ tclconfig/config.sub
	[ ! -f configure~ ] || mv -f configure~ configure
	[ ! -f testsuite/Makefile ] || $(MAKE) -C testsuite distclean

override_dh_auto_configure:
	cp -f configure configure~
	cp -fb /usr/share/misc/config.guess tclconfig/config.guess
	cp -fb /usr/share/misc/config.sub tclconfig/config.sub
	autoconf
	dh_auto_configure -- --includedir=/usr/include/tcl$(tclv) \
			     --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(tclv) \
			     --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)/tk$(tclv) \
			     --with-tclinclude=/usr/include/tcl$(tclv) \
			     --with-tkinclude=/usr/include/tcl$(tclv) \
			     --enable-shared \
			     --enable-threads \
			     --disable-rpath \
			     CFLAGS="$(CFLAGS)"

override_dh_auto_build:
	$(MAKE) SONAME=libexpect.so.$(v)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	# Rename expect scripts
	for SCRIPT in debian/tmp/usr/bin/*; do \
	    if [ "`basename $$SCRIPT`" != "expect" ] ; then \
		sed -e 's/^exec tclsh /exec tclsh$(tclv) /' $$SCRIPT >`dirname $$SCRIPT`/expect_`basename $$SCRIPT`; \
		rm $$SCRIPT ; \
	    fi; \
	done
	# Fix manpages
	for MANPAGE in debian/tmp/usr/share/man/man1/*; do \
	    if [ "`basename $$MANPAGE`" != "expect.1" ] ; then \
		mv $$MANPAGE `dirname $$MANPAGE`/expect_`basename $$MANPAGE`; \
	    fi; \
	done
	cp debian/tmp/usr/share/man/man1/expect.1 debian/tmp/usr/share/man/man3/Expect.3tcl
	sed -i -e's:\.TH EXPECT 1:.TH EXPECT 3tcl:' debian/tmp/usr/share/man/man3/Expect.3tcl
	# Fix library name
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/expect$(v)/libexpect$(v).so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libexpect.so.$(v)
	mkdir -p -m 755 debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/expect$(v) debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	# Fix pkgIndex.tcl
	sed -i -e's:usr lib:usr lib $(DEB_HOST_MULTIARCH):' debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/expect$(v)/pkgIndex.tcl
	# Fix permissions
	chmod 0644 debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/expect$(v)/pkgIndex.tcl

override_dh_link: $(LINKS)
	dh_link

override_dh_install:
	dh_install --fail-missing

get-orig-source:
	wget -O expect_$(v).orig.tar.gz \
	     http://prdownloads.sourceforge.net/expect/expect$(v).tar.gz

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_install override_dh_install get-orig-source

## expect 5.45.4

=== example/Makefile ===
--- 
+++ 
@@ -1,25 +1,14 @@
-TCLVERSION = 7.5
-TCLROOT = ../../tcl$(TCLVERSION)
-
-# Tcl include files.  (If you haven't installed Tcl yet, read the README file).
-# This must point to the directory that contains ALL of Tcl's include
-# files, not just the public ones.
-TCLHDIR = $(TCLROOT)/generic
-
-# TCL library.  Very little actually comes out of it, but it is handy.
-TCLLIB = $(TCLROOT)/unix/libtcl$(TCLVERSION).a
-# if installed, you can use:
-# TCLLIB = -ltcl
+EXPVERSION = 5.31
 
 CC = gcc
 CPLUSPLUS = g++
 CPLUSPLUSLIBDIR = -L/depot/gnu/arch/lib
 CPLUSPLUSLIB = -lg++
 
-CFLAGS = -g -I.. -I$(TCLHDIR)
-LIBEXPECT = -L.. -lexpect5.20
+CFLAGS = -g -I..
+LIBEXPECT = -L.. -lexpect$(EXPVERSION)
 
-LIBS = $(LIBEXPECT) $(TCLLIB) -lm
+LIBS = $(LIBEXPECT) -lm
 
 SCRIPTS = su2 noidle script.exp bonfield.exp
 
@@ -40,6 +29,9 @@
 
 chesslib++.o: chesslib++.c
 	$(CPLUSPLUS) -c $(CFLAGS) chesslib++.c
+
+unbuffer-standalone: unbuffer.o
+	$(CC) -g -o unbuffer-standalone unbuffer.o $(LIBS)
 
 printvars: printvars.o
 	$(CC) -o printvars printvars.o $(LIBS)

=== debian/changelog ===
expect (5.45.4-4) unstable; urgency=medium

  * Remove the ftp-rfc script from the binary package because it relies on
    no longer functional FTP host (closes: #1086569).
  * Apply patches with editorial changes to the expect manpages
    (closes: #1071422, #1086693, #1090339, #1090341, #1090348, #1090714,
    #1090720).
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 24 Feb 2025 15:49:29 +0300

expect (5.45.4-3) unstable; urgency=medium

  * Fix impicit declaration of exp_init_tty() in exp_clib.c (closes: #1066257).
  * Fix a typo in the decryptdir(1) manpage (closes: #1036463).
  * Bump the debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 13 Mar 2024 15:55:45 +0300

expect (5.45.4-2) unstable; urgency=medium

  * Move the tcl8.6 package to strict dependencies of expect, since all
    supplied scripts use tclsh8.6 and not expect as a shell (closes: #882443).
  * Add a code that instructs users to install tk8.6 to scripts which
    require Tk.
  * Replace the get-orig-source target in debian/rules by debian/watch and
    use uscan to retrieve the latest source tarball.
  * Change the upstream homepage to https://core.tcl.tk/expect/.
  * Add the VCS headers.
  * Bump standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Apr 2018 16:54:34 +0300

expect (5.45.4-1) unstable; urgency=medium

  * New upstream release.
  * Remove a patch by Georg-Johann Lay introduced in 5.45-8 because it has
    been applied upstream.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 04 Feb 2018 14:17:06 +0300

expect (5.45.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches which are were taken from upstream.
  * Demote tk8.6 from recommended to suggested in the expect dependencies
    list (closes: #876018).
  * Apply patch by Helmut Grohne which replaces a few calls to AC_TRY_RUN
    in the configure.in script to make the package cross compilable
    (closes: #873730).
  * Bumped the debhelper compatibility version to 10.
  * Remove the now useless build-dependency on autotools-dev.
  * Bumped standards version to 4.1.1.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 26 Oct 2017 11:14:59 +0300

expect (5.45-8) unstable; urgency=medium

  * Added a patch by Georg-Johann Lay which now properly checks for EOF
    and doesn't lose input when there are some characters in the input buffer
    and EOF flag happens.
  * Bumped standards version to 4.0.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 15 Jul 2017 08:21:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: interpreters
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), autotools-dev,
- autoconf, tcl8.6-dev
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), autoconf, tcl8.6-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.6
-Homepage: http://sourceforge.net/projects/expect/
+Standards-Version: 4.7.0
+Homepage: https://core.tcl.tk/expect/
+Vcs-Browser: https://salsa.debian.org/tcltk-team/expect
+Vcs-Git: https://salsa.debian.org/tcltk-team/expect.git
 
 Package: expect
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: tcl8.6, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: expect-dev
 Provides: expect-dev
 Replaces: expect-dev
-Recommends: tcl8.6, tk8.6
+Suggests: tk8.6
 Multi-Arch: foreign
 Description: Automates interactive applications
  Expect is a tool for automating interactive applications according to a script.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 v = 5.45
+vv = 5.45.4
 tclv = 8.6
 
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -14,7 +15,9 @@
 LINKS = debian/expect.links debian/tcl-expect.links debian/tcl-expect-dev.links
 
 debian/%.links: debian/%.links.in
-	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' $< > $@
+	sed -e 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
+	    -e 's/@V@/$(v)/g' \
+	    -e 's/@VV@/$(vv)/g' $< > $@
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -47,6 +50,8 @@
 
 override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+	# Remove the example which relies on defunct FTP host (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1086569)
+	rm debian/tmp/usr/bin/ftp-rfc
 	# Rename expect scripts
 	for SCRIPT in debian/tmp/usr/bin/*; do \
 	    if [ "`basename $$SCRIPT`" != "expect" ] ; then \
@@ -63,23 +68,16 @@
 	cp debian/tmp/usr/share/man/man1/expect.1 debian/tmp/usr/share/man/man3/Expect.3tcl
 	sed -i -e's:\.TH EXPECT 1:.TH EXPECT 3tcl:' debian/tmp/usr/share/man/man3/Expect.3tcl
 	# Fix library name
-	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/expect$(v)/libexpect$(v).so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libexpect.so.$(v)
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/expect$(vv)/libexpect$(vv).so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libexpect.so.$(vv)
 	mkdir -p -m 755 debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
-	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/expect$(v) debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/expect$(vv) debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
 	# Fix pkgIndex.tcl
-	sed -i -e's:usr lib:usr lib $(DEB_HOST_MULTIARCH):' debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/expect$(v)/pkgIndex.tcl
+	sed -i -e's:usr lib:usr lib $(DEB_HOST_MULTIARCH):' debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/expect$(vv)/pkgIndex.tcl
 	# Fix permissions
-	chmod 0644 debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/expect$(v)/pkgIndex.tcl
+	chmod 0644 debian/tmp/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/expect$(vv)/pkgIndex.tcl
 
 override_dh_link: $(LINKS)
 	dh_link
 
-override_dh_install:
-	dh_install --fail-missing
-
-get-orig-source:
-	wget -O expect_$(v).orig.tar.gz \
-	     http://prdownloads.sourceforge.net/expect/expect$(v).tar.gz
-
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build \
-	override_dh_auto_install override_dh_install get-orig-source
+	override_dh_auto_install
